Data Structures

# demands.h File Reference

Definition of demand calculating link graph handler. More...

`#include "linkgraph.h"`
`#include "../cargo_type.h"`
`#include "../map_func.h"`

Go to the source code of this file.

## Data Structures
class | Scaler
| Scale various things according to symmetric/asymmetric distribution. More...
class | SymmetricScaler
| Scaler for symmetric distribution. More...
class | AsymmetricScaler
| A scaler for asymmetric distribution. More...
class | DemandCalculator
| Calculate the demands. More...
class | DemandHandler
| Stateless, thread safe demand hander. More...

## Detailed Description

Definition of demand calculating link graph handler.

Declaration of demand calculating link graph handler.

Definition in file demands.h.